[RFC,13/18] pinctrl: bcm2835: Add BCM2838 support
diff mbox series

Message ID 1563393026-17118-14-git-send-email-wahrenst@gmx.net
State New
Headers show
Series
  • ARM: Add minimal Raspberry Pi 4 support
Related show

Commit Message

Stefan Wahren July 17, 2019, 7:50 p.m. UTC
The pinctrl on the BCM2711 is not backward compatible to the BCM2835.
So use the compatible ops of the BCM7211.

Signed-off-by: Stefan Wahren <wahrenst@gmx.net>
---
 drivers/pinctrl/bcm/pinctrl-bcm2835.c | 4 ++++
 1 file changed, 4 insertions(+)

--
2.7.4

Comments

Linus Walleij Aug. 2, 2019, 10:08 p.m. UTC | #1
On Wed, Jul 17, 2019 at 9:52 PM Stefan Wahren <wahrenst@gmx.net> wrote:

> The pinctrl on the BCM2711 is not backward compatible to the BCM2835.
> So use the compatible ops of the BCM7211.
>
> Signed-off-by: Stefan Wahren <wahrenst@gmx.net>

I suspect the data should contain an enum or something for the SoC instead
so the code can adapt.

Yours,
Linus Walleij

Patch
diff mbox series

diff --git a/drivers/pinctrl/bcm/pinctrl-bcm2835.c b/drivers/pinctrl/bcm/pinctrl-bcm2835.c
index 029adad..7f7cc5c 100644
--- a/drivers/pinctrl/bcm/pinctrl-bcm2835.c
+++ b/drivers/pinctrl/bcm/pinctrl-bcm2835.c
@@ -1057,6 +1057,10 @@  static const struct of_device_id bcm2835_pinctrl_match[] = {
 		.data = &bcm2835_pinconf_ops,
 	},
 	{
+		.compatible = "brcm,bcm2838-gpio",
+		.data = &bcm7211_pinconf_ops,
+	},
+	{
 		.compatible = "brcm,bcm7211-gpio",
 		.data = &bcm7211_pinconf_ops,
 	},